Bug 71207 - bind-9.2.1-0.70.2 rpm missing dependency on kernel-2.2.18
bind-9.2.1-0.70.2 rpm missing dependency on kernel-2.2.18
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-09 18:29 EDT by Dave Miller
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-01 16:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Miller 2002-08-09 18:29:37 EDT
Description of Problem:
A security update for BIND was issued this morning.  Upon installing it, named
will no longer start.  The error message given when you try to start is is:

# /sbin/service named start
Starting named: named: -u not supported on Linux kernels older than 2.3.99-pre3
or 2.2.18 when using threads

We currently have kernel 2.2.16-22
Running named as root is not exactly a palatable idea.

Version-Release number of selected component (if applicable):
bind-9.2.1-0.70.2.i386.rpm


Additional Information:

This could easily be fixed by making the rpm file have a dependency on
kernel-2.2.18, which would clue people that they're missing an update before
they lose their nameserver.  Or at a minimum provide some kind of output warning
you that the startup script needs to be modified or it won't run if the kernel
is too old.
Comment 1 Daniel Walsh 2003-01-24 16:31:56 EST
Added the requires line

fixed in dhcp-3.0pl1-18
Comment 2 Dave Miller 2003-01-24 21:10:12 EST
sorry for being nitpicky here, but what does dhcpd have to do with bind?

Note You need to log in before you can comment on or make changes to this bug.